## getObjectX and getObjectY

### Syntax:

    getObjectX (thisObjectType);

    getObjectY (thisObjectType);

### Purpose:

Get the x and y co-ordinates of the specified object type thisObjectType.

### Return value:

If the object type is represented on screen as a screen region, the value returned is the x or y co-ordinate of the point at which a character would attempt to stand if told to walk to the object (i.e. the 6th or 7th parameter in the addScreenRegion statement which created the screen region).

If the object type is represented on screen as a character, the return value is the x or y co-ordinate at which the character is currently standing. If the object type is not on the screen, the return value is 0.

### See also:

Object Types as Characters

addCharacter

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012